<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogFile Method
DatabaseEnvironment Class See Also

Map an LSN object to a log filename

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public string LogFile(
    	LSN logSeqNum
    )

Visual Basic (Declaration)

    Public Function LogFile ( _
    	logSeqNum As LSN _
    ) As String

Visual C++

    public:
    String^ LogFile(
    	LSN^ logSeqNum
    )

#### Parameters

logSeqNum
  Type: BerkeleyDB..::.LSN
  The DB_LSN structure for which a filename is wanted.

#### Return Value

The name of the file containing the record named by logSeqNum.

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace